=== debian/changelog ===
uncrustify (0.71.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.71.0
  * d/control: Use debhelper-compat syntax, switch to level 12.
  * d/control: Use python3 in B-D (Closes: #943295).
  * d/control: Bump Standards-Version, no more changes needed.
  * d/control: Remove unnnecessary --parallel.

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 27 Aug 2020 17:12:57 +0300
