## uncrustify 0.72.0%2Bdfsg1

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$// \
https://github.com/uncrustify/uncrustify/releases \
(?:.*?/)?uncrustify-(\d[\d.]*)\.tar\.gz debian uupdate
