## uncrustify 0.72.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,6 @@
   add_definitions(/D_CRT_SECURE_NO_WARNINGS /D_CRT_NONSTDC_NO_WARNINGS /wd4267)
   add_definitions(/utf-8)
 elseif(CMAKE_COMPILER_IS_GNUCXX)
-  add_definitions(-std=gnu++0x)
   set(gcc_warning_flags
     -Wall
     -Wextra
@@ -49,9 +48,11 @@
   endif()
   unset(gcc_warning_flags)
 elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-  add_definitions(-std=gnu++0x)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
 endif()
+
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED YES)
 
 if(ENABLE_SANITIZER)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O1 -fno-omit-frame-pointer -fsanitize=${ENABLE_SANITIZER}")
@@ -129,7 +130,7 @@
 # Generate uncrustify_version.h
 #
 
-set(UNCRUSTIFY_VERSION "0.71.0_f")
+set(UNCRUSTIFY_VERSION "0.72.0_f")
 
 option(NoGitVersionString "Do not use make_version.py and git to build a version string" OFF)
 if(NoGitVersionString)
@@ -235,6 +236,7 @@
   src/align_asm_colon.cpp
   src/align_assign.cpp
   src/align.cpp
+  src/align_eigen_comma_init.cpp
   src/align_func_params.cpp
   src/align_func_proto.cpp
   src/align_init_brace.cpp
@@ -270,6 +272,8 @@
   src/cs_top_is_question.cpp
   src/detect.cpp
   src/enum_cleanup.cpp
+  src/flag_braced_init_list.cpp
+  src/flag_decltype.cpp
   src/flag_parens.cpp
   src/frame_list.cpp
 #  src/handle_oc.cpp
@@ -315,6 +319,7 @@
   src/align_func_params.h
   src/align_func_proto.h
   src/align.h
+  src/align_eigen_comma_init.h
   src/align_init_brace.h
   src/align_left_shift.h
   src/align_log_al.h
@@ -351,6 +356,8 @@
   src/enum_cleanup.h
   src/enum_flags.h
   src/error_types.h
+  src/flag_braced_init_list.h
+  src/flag_decltype.h
   src/flag_parens.h
   src/frame_list.h
 #  src/handle_oc.h
@@ -385,6 +392,7 @@
   src/tokenize.h
   src/unc_ctype.h
   src/uncrustify.h
+  src/uncrustify_limits.h
   src/uncrustify_types.h
   src/unc_text.h
   src/unc_tools.h
@@ -394,6 +402,15 @@
   src/windows_compat.h
   ${PROJECT_BINARY_DIR}/src/option_enum.h
   ${PROJECT_BINARY_DIR}/uncrustify_version.h
+)
+
+set(uncrustify_docs
+  "${PROJECT_SOURCE_DIR}/AUTHORS"
+  "${PROJECT_SOURCE_DIR}/BUGS"
+  "${PROJECT_SOURCE_DIR}/ChangeLog"
+  "${PROJECT_SOURCE_DIR}/COPYING"
+  "${PROJECT_SOURCE_DIR}/HELP"
+  "${PROJECT_SOURCE_DIR}/README.md"
 )
 
 add_executable(uncrustify ${uncrustify_sources} ${uncrustify_headers})
@@ -475,22 +492,3 @@
 set(CPACK_SOURCE_IGNORE_FILES "/\\\\.git/;/\\\\.hg/;/tests/results/;/build.*/")
 if(CMAKE_SYSTEM_NAME STREQUAL "Windows")
   set(CPACK_INCLUDE_TOPLEVEL_DIRECTORY FALSE)
-  set(CPACK_GENERATOR "ZIP")
-endif()
-include(CPack)
-
-#
-# Install
-#
-if(CMAKE_SYSTEM_NAME STREQUAL "Windows")
-  install(TARGETS uncrustify DESTINATION ".")
-  install(
-    FILES
-      "${PROJECT_SOURCE_DIR}/README.md"
-      "${PROJECT_SOURCE_DIR}/BUGS"
-      "${PROJECT_SOURCE_DIR}/ChangeLog"
-    DESTINATION "."
-  )
-  install(FILES "${PROJECT_SOURCE_DIR}/documentation/htdocs/index.html"
-    DESTINATION "doc"
-  )
