=== debian/changelog ===
uncrustify (0.72.0+dfsg1-2) unstable; urgency=medium

  * Backport fix-output_parsed_csv-test-failure.patch from PR 2980, to fix
    FTBFS on some platforms.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 09 Jan 2021 13:45:41 +0300

uncrustify (0.72.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.72.0

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 26 Dec 2020 21:14:24 +0300
