=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure $@ -- -DUNCRUSTIFY_SEPARATE_TESTS=ON

override_dh_clean:
	dh_clean
	rm -rf tests/results
