## uncrustify 0.78.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
-cmake_minimum_required(VERSION 3.2)
+cmake_minimum_required(VERSION 3.5)
 
 project(uncrustify)
+
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
 if("${PROJECT_SOURCE_DIR}" STREQUAL "${PROJECT_BINARY_DIR}")
   message(FATAL_ERROR "
@@ -17,7 +19,15 @@
 include(CheckTypeSize)
 include(CTest)
 
-find_package(PythonInterp REQUIRED)
+if( ${CMAKE_VERSION} VERSION_LESS "3.12" )
+    find_package( PythonInterp )
+    if( NOT PYTHON_EXECUTABLE )
+        message( FATAL_ERROR "Python is required, but was not found on your system" )
+    endif()
+ else( )
+    find_package(Python3 REQUIRED)
+    set(PYTHON_EXECUTABLE ${Python3_EXECUTABLE})
+endif()
 
 #
 # Check compiler flags
@@ -48,7 +58,7 @@
   endif()
   unset(gcc_warning_flags)
 elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-deprecated-declarations")
 endif()
 
 set(CMAKE_CXX_STANDARD 11)
@@ -130,7 +140,7 @@
 # Generate uncrustify_version.h
 #
 
-set(UNCRUSTIFY_VERSION "0.72.0_f")
+set(UNCRUSTIFY_VERSION "0.78.1_f")
 
 option(NoGitVersionString "Do not use make_version.py and git to build a version string" OFF)
 if(NoGitVersionString)
@@ -235,6 +245,7 @@
   src/align_add.cpp
   src/align_asm_colon.cpp
   src/align_assign.cpp
+  src/align_braced_init_list.cpp
   src/align.cpp
   src/align_eigen_comma_init.cpp
   src/align_func_params.cpp
@@ -259,12 +270,14 @@
   src/backup.cpp
   src/brace_cleanup.cpp
   src/braces.cpp
-  src/chunk_list.cpp
+  src/calculate_closing_brace_position.cpp
+  src/change_int_types.cpp
+  src/check_template.cpp
+  src/chunk.cpp
   src/ChunkStack.cpp
   src/combine.cpp
   src/combine_fix_mark.cpp
   src/combine_labels.cpp
-#  src/combine_mark.cpp
   src/combine_tools.cpp
   src/combine_skip.cpp
   src/compat_posix.cpp
@@ -272,29 +285,38 @@
   src/cs_top_is_question.cpp
   src/detect.cpp
   src/enum_cleanup.cpp
+  src/EnumStructUnionParser.cpp
+  src/EnumStructUnionParser.h
   src/flag_braced_init_list.cpp
   src/flag_decltype.cpp
   src/flag_parens.cpp
-  src/frame_list.cpp
-#  src/handle_oc.cpp
   src/indent.cpp
   src/keywords.cpp
   src/lang_pawn.cpp
+  src/language_names.cpp
   src/language_tools.cpp
   src/logger.cpp
   src/logmask.cpp
   src/log_rules.cpp
+  src/mark_functor.cpp
+  src/mark_question_colon.cpp
   src/md5.cpp
   src/newlines.cpp
   src/option.cpp
   src/options_for_QT.cpp
   src/output.cpp
+  src/parameter_pack_cleanup.cpp
   src/parens.cpp
-  src/ParseFrame.cpp
+  src/parent_for_pp.cpp
+  src/parsing_frame.cpp
+  src/parsing_frame_stack.cpp
+  src/pragma_cleanup.cpp
   src/pcf_flags.cpp
   src/punctuators.cpp
   src/quick_align_again.cpp
+  src/remove_duplicate_include.cpp
   src/remove_extra_returns.cpp
+  src/rewrite_infinite_loops.cpp
   src/semicolons.cpp
   src/sorting.cpp
   src/space.cpp
@@ -303,6 +325,7 @@
   src/uncrustify.cpp
   src/uncrustify_emscripten.cpp
   src/uncrustify_types.cpp
+  src/unc_ctype.cpp
   src/unc_text.cpp
   src/unc_tools.cpp
   src/unicode.cpp
@@ -313,9 +336,11 @@
 )
 
 set(uncrustify_headers
+  src/add_space_table.h
   src/align_add.h
   src/align_asm_colon.h
   src/align_assign.h
+  src/align_braced_init_list.h
   src/align_func_params.h
   src/align_func_proto.h
   src/align.h
@@ -341,13 +366,15 @@
   src/base_types.h
   src/brace_cleanup.h
   src/braces.h
+  src/calculate_closing_brace_position.h
+  src/change_int_types.h
   src/char_table.h
-  src/chunk_list.h
+  src/check_template.h
+  src/chunk.h
   src/ChunkStack.h
   src/combine.h
   src/combine_fix_mark.h
   src/combine_labels.h
-#  src/combine_mark.h
   src/combine_skip.h
   src/combine_tools.h
   src/compat.h
@@ -359,30 +386,37 @@
   src/flag_braced_init_list.h
   src/flag_decltype.h
   src/flag_parens.h
-  src/frame_list.h
-#  src/handle_oc.h
   src/indent.h
   src/keywords.h
   src/lang_pawn.h
+  src/language_names.h
   src/language_tools.h
   src/ListManager.h
   src/logger.h
   src/log_levels.h
   src/logmask.h
   src/log_rules.h
+  src/mark_functor.h
+  src/mark_question_colon.h
   src/md5.h
   src/newlines.h
   src/option.h
   src/options_for_QT.h
   src/options.h
   src/output.h
+  src/parameter_pack_cleanup.h
   src/parens.h
-  src/ParseFrame.h
+  src/parent_for_pp.h
+  src/parsing_frame.h
+  src/parsing_frame_stack.h
+  src/pragma_cleanup.h
   src/pcf_flags.h
   src/prototypes.h
   src/punctuators.h
   src/quick_align_again.h
+  src/remove_duplicate_include.h
   src/remove_extra_returns.h
+  src/rewrite_infinite_loops.h
   src/semicolons.h
   src/sorting.h
   src/space.h
@@ -416,23 +450,9 @@
 add_executable(uncrustify ${uncrustify_sources} ${uncrustify_headers})
 add_dependencies(uncrustify generate_version_header)
 
-if(CMAKE_VERSION VERSION_LESS 2.8.10)
-  if(CMAKE_CONFIGURATION_TYPES OR CMAKE_BUILD_TYPE)
-    # Multi-configuration or build type set
-    set_property(TARGET uncrustify APPEND PROPERTY
-      COMPILE_DEFINITIONS_DEBUG DEBUG
-    )
-  else()
-    # Single-configuration with no build type set
-    set_property(TARGET uncrustify APPEND PROPERTY
-      COMPILE_DEFINITIONS DEBUG
-    )
-  endif()
-else()
-  set_property(TARGET uncrustify APPEND PROPERTY
-    COMPILE_DEFINITIONS $<$<OR:$<CONFIG:Debug>,$<CONFIG:>>:DEBUG>
-  )
-endif()
+set_property(TARGET uncrustify APPEND PROPERTY
+  COMPILE_DEFINITIONS $<$<OR:$<CONFIG:Debug>,$<CONFIG:>>:DEBUG>
+)
 
 #
 # Generate uncrustify.1
@@ -474,21 +494,3 @@
       -c forUncrustifySources.cfg
       -lCPP --no-backup ${source}
     COMMENT "Formatting ${source}"
-    WORKING_DIRECTORY ${uncrustify_SOURCE_DIR}
-  )
-  add_dependencies(format-sources format-${source_name})
-endforeach()
-
-#
-# Package
-#
-set(CPACK_PACKAGE_NAME "uncrustify")
-set(CPACK_PACKAGE_VERSION "${UNCRUSTIFY_VERSION}")
-set(CPACK_PACKAGE_VENDOR "Ben Gardner")
-set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Code beautifier")
-set(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/README.md")
-set(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/COPYING")
-set(CPACK_RESOURCE_FILE_README "${PROJECT_SOURCE_DIR}/README.md")
-set(CPACK_SOURCE_IGNORE_FILES "/\\\\.git/;/\\\\.hg/;/tests/results/;/build.*/")
-if(CMAKE_SYSTEM_NAME STREQUAL "Windows")
-  set(CPACK_INCLUDE_TOPLEVEL_DIRECTORY FALSE)
