=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.5)
 
 find_package(Git QUIET)
 
@@ -71,8 +71,10 @@
   NAME cli_options
   COMMAND ${PYTHON_EXECUTABLE}
     test_cli_options.py
+    --config $<CONFIG>
     --build ${uncrustify_BINARY_DIR}
     --diff
+    --test ${CMAKE_CURRENT_BINARY_DIR}/cli
   ${_configs}
   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/cli
 )
@@ -80,8 +82,10 @@
 add_custom_target(update-cli-options
   COMMAND ${PYTHON_EXECUTABLE}
     test_cli_options.py
+    --config $<CONFIG>
     --build ${uncrustify_BINARY_DIR}
     --apply
+    --test ${CMAKE_CURRENT_BINARY_DIR}/cli
   DEPENDS uncrustify
   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/cli
 )
