=== debian/changelog ===
uncrustify (0.78.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.78.1
  * Remove fix-output_parsed_csv-test-failure.patch (fixed upstream).
  * debian/rules, debian/clean: Fix cleanup rule. Closes: #1046417.
  * debian/source/lintian-overrides: Override test data does not have sources.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 28 Jan 2024 17:46:07 +0200
